Subject: bug#9361: 24.0.50; default value of `dired-do-chmod'

From: "Drew Adams" <[email-masked]>
Date: Fri, 27 Jan 2012 07:42:52 -0800

> > This bug has not at all been fixed - AFAICT, everything I 
> > reported is still a problem.  It should not have been closed.
> > You apparently fixed your own choice of a problem, which
> > was not the problem that was reported.
> > 
> > The default value of `dired-do-chmod' is still the same,
> > inappropriate value. There is no reason to pick up the
> > permissions from the _first_ of the marked files - makes
> > no sense at all.  And it is still not made clear to users
> > which file the permissions are being copied from.  Please
> > read the bug report, and the followup passage cited below.
> 
> Your suggestion in the original post was
> 
> >> The best approach is not to provide any default value here.

You read what you want to read, apparently.  Which part of the above text about
our currently having an unclear, inappropriate default value did you not
understand?  

Nothing has changed wrt the default value, except the treatment of empty input.

> As Juri noted, if you don't want the suggested value, just don't type
> M-n.  Since this command no longer accepts empty input as a 
> permission, there is nothing else to fix.

See above - there is plenty to fix.  We should either provide no default value
or provide one that makes sense.  That's the bug that was reported.

I made pretty clear what the problem was, even quoting the description more than
once.  Here goes again:

>>> The point is that if we are going to copy settings from a 
>>> particular file in order to make them available for,
>>> essentially, pasting operations to other files, then the
>>> target file being copied from should be clear.  The copy
>>> operation should be an explicit user choice, not something 
>>> implicit, based only on the first marked file (why not the
>>> last? or the 23rd?).

> > Do I need to open a new bug and copy the 9361 report to it,
> > i.e., to start over?

Apparently so.  #10624